iPad Scoring App Requirements

We at GameSheet go to great lengths to ensure that the hardware leagues purchase can be used for as long as possible. As a testament to this, version 3 of our app supports all the way back to iPad 2 which was released in 2011. 

What iPad is recommended?

To get the most out of your purchase, we recommend you purchase the newest model of iPad you can afford. The first leagues to use GameSheet, 7 years ago, purchased iPad 2s and they are still using them today.

What are the minimum requirements?

iPad Scoring App 4 (Live Scoring)

  • Any iPad capable of running iOS 12.x or newer. (All the way back to the iPad Air 2 from 2014)

iPad Scoring App 3

  • Any iPad capable of running iOS 9.x or newer. (All the way back to the iPad 2 from 2011)

Where can I find a complete list of all iPads supported?

For a complete list of all iPads and the iOS versions they support, click here.

What about Android? 

  • The GameSheet Scoring app only supports iPad and at this time we have no plans to release a version for Android.
Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.

Still need help? Contact Us Contact Us